<?php
namespace Teknisa\CMP\Modules\Solicitacao\Modules\SolicitacaoCompras\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DataSource\DataSet;

class CMP06400AprovacaoDesaprovacaoDeSolicitacoesDeCompras  {

    protected $environment;
    protected $connection;
    protected $entityManager;
    
     public function __construct($environment, $entityManager, $connection){
		        $this->environment = $environment;
                $this->entityManager = $entityManager;
                $this->connection = $connection;
    }
    public function verificaTipoCusto(DTO\Request $request, DTO\Response $response) {
        
    	$params = array(
    		"P_NRORG" =>  $this->environment->getNrOrg()
        );
    	$sql = "SELECT CDTIPOCUSTO, NMTIPOCUSTO
                FROM TIPOCUSTO, (SELECT MAX(CDTIPOCUSTODESC) CDTIPOCUSTODESC
                                    FROM PARAMPLANEJA
                                     WHERE NRORG = :P_NRORG) PP
                WHERE TIPOCUSTO.CDTIPOCUSTO = PP.CDTIPOCUSTODESC
                    AND TIPOCUSTO.NRORG = :P_NRORG";
    	$query = $this->connection->prepare($sql);
    	$query->execute($params);
    	$resposta = $query->fetchAll();
        $response->addDataSet(new DataSet('res', array($resposta)));  
     }
}